# portainer

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/portainer/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/portainer)

> https://portainer.readthedocs.io

> https://portainer.swarm.autonomic.zone

## Development

```bash
$ git clone https://git.autonomic.zone/autonomic-cooperative/portainer && cd portainer
$ python3 -m venv .venv && source .venv/bin/activate
$ pip install -r requirements.txt
$ docker-compose up
```

Head to the Portainer dashboard:

> http://localhost:9000

You'll have some options to choose for setup. Try the following.

1. Set any admin username/password you like
1. Choose "Local: Manage the local Docker environment" and click "Connect"

You can now manage your local docker installation.

## Production

1. Our [drone.autonomic.zone](https://drone.autonomic.zone/autonomic-cooperative/portainer/) configuration automatically deploys.
1. For a manual deploy guide, see [this documentation](https://git.autonomic.zone/autonomic-cooperative/organising/wiki/working-with-docker-swarm).
